#!/usr/bin/env python

from distutils.core import setup, Extension

setup (name = "archmage",
       author = "Eugeny Korekin",
       author_email = "az@ftc.ru",
       description = "CHM(Compiled HTML) Decompressor",
       keywords = [ "chm", "HTML Help", "Compiled HTML", "Compressed HTML" ],
       license = "GPL",
       fullname = "arCHMage",
       url = "archmage.sf.net",
       version = "0.0.6",

       py_modules = ['chmlib', 'CHM', 'mod_chm'],
       scripts = ['archmage'],
       data_files = [ ('/etc/', [ 'arch.conf' ] ),
                      ( 'share/archmage/templates/',
                        ['templates/arch_contents.html',
                         'templates/arch_frameset.html',
                         'templates/arch_header.html',
                         'templates/index.html',
                         'templates/arch_css.css']),
                      ( 'share/archmage/templates/icons',
                        ['templates/icons/next.gif',
                         'templates/icons/0.gif',
                         'templates/icons/1.gif',
                         'templates/icons/11.gif',
                         'templates/icons/12.gif',
                         'templates/icons/17.gif',
                         'templates/icons/2.gif',
                         'templates/icons/22.gif',
                         'templates/icons/90.gif',
                         'templates/icons/91.gif',
                         'templates/icons/92.gif',
                         'templates/icons/93.gif',
                         'templates/icons/94.gif',
                         'templates/icons/95.gif',
                         'templates/icons/96.gif',
                         'templates/icons/97.gif',
                         'templates/icons/98.gif',
                         'templates/icons/99.gif',
                         'templates/icons/10.gif',
                         'templates/icons/prev.gif',
                         'templates/icons/13.gif',
                         'templates/icons/14.gif',
                         'templates/icons/15.gif',
                         'templates/icons/16.gif',
                         'templates/icons/18.gif',
                         'templates/icons/19.gif',
                         'templates/icons/20.gif',
                         'templates/icons/21.gif',
                         'templates/icons/23.gif',
                         'templates/icons/24.gif',
                         'templates/icons/25.gif',
                         'templates/icons/26.gif',
                         'templates/icons/27.gif',
                         'templates/icons/35.gif',
                         'templates/icons/37.gif',
                         'templates/icons/39.gif',
                         'templates/icons/3.gif',
                         'templates/icons/4.gif',
                         'templates/icons/5.gif',
                         'templates/icons/6.gif',
                         'templates/icons/7.gif',
                         'templates/icons/8.gif',
                         'templates/icons/9.gif']) ],
       ext_modules = [ Extension(name = '_chmlib',
                                 sources =
                                 [ 'chmlib/chm_lib.c',
                                   'chmlib/wrapper.c',
                                   'chmlib/lzx.c',
                                   'chmlib/az_chmlib_add.c'
                                 ],
                                 include_dirs=["chmlib"])
                     ]
       )
